package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaExcepcionPtoVta;

public interface ConexionRutaExcepcionPtoVtaService {

	public void gerarConexiones();

	public ConexionRutaExcepcionPtoVta suscribir(ConexionRutaExcepcionPtoVta conexion);

	public ConexionRutaExcepcionPtoVta actualizacion(ConexionRutaExcepcionPtoVta conexion);

	public void borrar(ConexionRutaExcepcionPtoVta conexion);

	public List<ConexionRutaExcepcionPtoVta> buscarPorConexionConf(ConexionRutaConf conexionRutaConf);

	public void borrar(List<ConexionRutaExcepcionPtoVta> lsConexion);

	public void suscribirTodos(List<ConexionRutaExcepcionPtoVta> conexiones);

}
